List vulnerability locations
curl --request GET \
--url https://app.cysmiq.com/api/v1/{tenant_slug}/vulnerabilities/{vulnerability}/locations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cysmiq.com/api/v1/{tenant_slug}/vulnerabilities/{vulnerability}/locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/vulnerabilities/{vulnerability}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"vulnerability": {
"id": "<string>",
"title": "<string>"
},
"filters": {
"scope": "live"
},
"summary": {
"total": 1,
"active": 1,
"fixed": 1
},
"items": [
{
"id": "<string>",
"path": "<string>",
"line": 123,
"fixed_at": "<string>",
"vulnerable_at": "<string>",
"exploitable_at": "<string>",
"is_vulnerable": true,
"is_exploitable": true,
"reference": {},
"artifact": {}
}
],
"next_cursor": "<string>"
}Vulnerabilities
List vulnerability locations
Returns paginated locations for a single vulnerability. Use scope=all to include locations that have been fixed; default live returns only currently-vulnerable locations.
GET
/
{tenant_slug}
/
vulnerabilities
/
{vulnerability}
/
locations
List vulnerability locations
curl --request GET \
--url https://app.cysmiq.com/api/v1/{tenant_slug}/vulnerabilities/{vulnerability}/locations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cysmiq.com/api/v1/{tenant_slug}/vulnerabilities/{vulnerability}/locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/vulnerabilities/{vulnerability}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"vulnerability": {
"id": "<string>",
"title": "<string>"
},
"filters": {
"scope": "live"
},
"summary": {
"total": 1,
"active": 1,
"fixed": 1
},
"items": [
{
"id": "<string>",
"path": "<string>",
"line": 123,
"fixed_at": "<string>",
"vulnerable_at": "<string>",
"exploitable_at": "<string>",
"is_vulnerable": true,
"is_exploitable": true,
"reference": {},
"artifact": {}
}
],
"next_cursor": "<string>"
}Authorizations
Use a Cysmiq API token in the Authorization header: Bearer {token}.
Path Parameters
Vulnerability prefixed id (vc_...).
Query Parameters
Available options:
live, all Required range:
1 <= x <= 200Was this page helpful?